Bug 50216 - Impress FORMATTING: Slide master fields are duplicated when saving to .fodp
Summary: Impress FORMATTING: Slide master fields are duplicated when saving to .fodp
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:fodp
: 89311 90011 101525 (view as bug list)
Depends on:
Blocks: ODF-Flat
  Show dependency treegraph
 
Reported: 2012-05-22 08:08 UTC by Fritz R. Paul
Modified: 2019-10-20 13:40 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
example odp file (11.82 KB, application/vnd.oasis.opendocument.presentation)
2012-10-01 09:30 UTC, Fritz R. Paul
Details
fodt file generated by saving the example odt file to fodt (61.29 KB, application/vnd.oasis.opendocument.presentation-flat-xml)
2012-10-01 09:31 UTC, Fritz R. Paul
Details
Vdragon's bug reproduce document (573.13 KB, application/vnd.oasis.opendocument.presentation)
2014-07-26 16:39 UTC, V字龍(Vdragon)
Details
Vdragon's LibreOffice user profile (266.10 KB, application/zip)
2014-07-26 16:40 UTC, V字龍(Vdragon)
Details
Vdragon's bug reproduce document(after converted to fodp using LibO4.2.4.2 (881.71 KB, application/vnd.oasis.opendocument.presentation-flat-xml)
2014-07-27 12:18 UTC, V字龍(Vdragon)
Details
Comparison of the "slide master" after converting (341.34 KB, image/jpeg)
2014-07-27 12:23 UTC, V字龍(Vdragon)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fritz R. Paul 2012-05-22 08:08:49 UTC
Whenever an Impress presentation with activated header/footer fields (Daten and time, Footer, and Slide number) is stored, these default fields are duplicated. This also happened for me to the object area for Auto Layouts in the slide master. The effect can be seen with a blank presentation with the fields activated.

It is possible to remove the header/footer fields from the slide master and use own fields instead. But those can't be modified via the default menu points and they must be changed for each master slide.

The bug is rather annoying because apart from that, the flat odx formats help with many small issues in conjunction with Subversion repositories.
Comment 1 Florian Reisinger 2012-09-29 10:34:34 UTC
Can't confirm it @ Win7 x64 3.6.1.2
Comment 2 Fritz R. Paul 2012-10-01 09:30:39 UTC
Created attachment 67915 [details]
example odp file

This is the original odp file. Saving this to an .fodp file results in doubled footer items. Saving the .fodt again results in tripled footer items.
Comment 3 Fritz R. Paul 2012-10-01 09:31:57 UTC
Created attachment 67916 [details]
fodt file generated by saving the example odt file to fodt

The footer items are doubled.
Comment 4 Fritz R. Paul 2012-10-01 09:33:38 UTC
(In reply to comment #1)
> Can't confirm it @ Win7 x64 3.6.1.2

Sorry, still doesn't work for me (Win7 x64 3.6.1.2). I added two test files showing the problem.
Comment 5 Florian Reisinger 2012-10-01 10:37:30 UTC
Thanks for your quick reply...

Could you rename %appdata%\libreoffice\3\user and restart libo...

If the problem persists: Comment
If not PLEASE Upload the user profile (Keep in mind, there is private data in there!)
Comment 6 Fritz R. Paul 2012-10-02 07:58:48 UTC
(In reply to comment #5)
> Thanks for your quick reply...
> 
> Could you rename %appdata%\libreoffice\3\user and restart libo...
> 
> If the problem persists: Comment
> If not PLEASE Upload the user profile (Keep in mind, there is private data
> in there!)

Sorry, the problem is still there. With the new profile I generated a new empty presentation, activated the footers and stored it as .fodt with the same result, duplicated footers.
Comment 7 Fritz R. Paul 2012-12-17 10:37:24 UTC
The problem still persists in version 3.6.4.3 (Win7, 64). I also find it in Linux, version 3.5.4.2.

Just open the attached odp file, save it as fodt and do a reload ...
Comment 8 mhossbach 2013-11-13 11:38:37 UTC
On Linux 64-bit (Linux 3.10.7-gentoo-r1 x86_64) still present.
Comment 9 Florian Reisinger 2013-11-19 18:01:52 UTC
Version is OLDEST affected...
Changed platfor as well
Comment 10 V字龍(Vdragon) 2014-07-26 16:38:51 UTC
Hi, I can also reproduce this bug on my system(Ubuntu 14.04LTS x86 4.2.4.2)
Adding my own example file and user profile.
Comment 11 V字龍(Vdragon) 2014-07-26 16:39:43 UTC
Created attachment 103506 [details]
Vdragon's bug reproduce document
Comment 12 V字龍(Vdragon) 2014-07-26 16:40:10 UTC
Created attachment 103507 [details]
Vdragon's LibreOffice user profile
Comment 13 V字龍(Vdragon) 2014-07-27 12:18:26 UTC
Created attachment 103535 [details]
Vdragon's bug reproduce document(after converted to fodp using LibO4.2.4.2
Comment 14 V字龍(Vdragon) 2014-07-27 12:23:17 UTC
Created attachment 103536 [details]
Comparison of the "slide master" after converting
Comment 15 Joel Madero 2014-07-28 16:08:02 UTC
Setting to UNCONFIRMED.

Note: REOPENED is for a bug that a developer says they fixed (thus the bug is put into RESOLVED -> FIXED) but a user can still see the problem on a version that should be fixed. 

For bugs never confirmed by a neutral third party the correct status is UNCONFIRMED. Thanks!
Comment 16 Fritz R. Paul 2014-07-29 07:52:05 UTC
Joel, I just confirmed the bug with independent configurations in version 4.1.5.3 under Windows and 4.2.4.2 in Linux. It takes less than a minute to do so. Just open the first simple odp, save it as fodp, reload it and check the footer.
Comment 17 Joel Madero 2014-07-29 15:01:51 UTC
It was indeed that easy to confirm.

Setting to:
New - confirmed
Major - essentially loss of data (or addition of data that is unwanted)
High - default seems fine.

Would be nice to know if this one is a regression - unfortunately my main machine with older versions installed is down until at least tomorrow. If it's a regression please put what version it works on, add "regression" to keyword, and "bibisectRequest" to whiteboard. Thanks!
Comment 18 Björn Michaelsen 2014-10-16 20:46:53 UTC
Checked with oldest bibisect version. Bug is already reproducible. So unlikely a regression.
Comment 19 Björn Michaelsen 2014-10-16 22:03:45 UTC
So actually the superfluous elements seems to be added when loading. For each save-load cycle via fodp another footer is added.

As there is a always a <presentation:footer/> element more in LibreOffice than seems to be in the fodp when inspecting the file with a texteditor, this seems to actually happen during _loading_, not during save.
Comment 20 Robinson Tryon (qubit) 2014-11-05 23:55:06 UTC
(In reply to fritz.paul from comment #7)
> The problem still persists in version 3.6.4.3 (Win7, 64). I also find it in
> Linux, version 3.5.4.2.
> 
> Just open the attached odp file, save it as fodt and do a reload ...

CONFIRMED with LO 3.0.0 (OOO330m19 (Build:6) tag libreoffice-3.3.0.4) + Ubuntu 14.04

Saving the example odp file as FODP, reopening it, and then examining the master slide shows the duplication.
Comment 21 Buovjaga 2015-03-20 18:15:42 UTC
*** Bug 90011 has been marked as a duplicate of this bug. ***
Comment 22 tommy27 2016-04-16 07:26:24 UTC Comment hidden (obsolete)
Comment 23 Fritz R. Paul 2016-04-18 14:55:00 UTC
The bug is still existing with the exact same behaviour, tested in LibreOffice 5.0.5.2, 64 bit version on Windows.
Comment 24 Cor Nouws 2016-12-05 20:14:18 UTC
*** Bug 101525 has been marked as a duplicate of this bug. ***
Comment 25 Cor Nouws 2016-12-05 20:14:45 UTC
*** Bug 89311 has been marked as a duplicate of this bug. ***
Comment 26 V字龍(Vdragon) 2017-03-22 05:07:12 UTC
It seems that the presentation placeholders are duplicated as well, resulting additional, readonly textboxes

```
				<draw:frame presentation:style-name="預設-notes" draw:layer="backgroundobjects" svg:width="16.799cm" svg:height="13.364cm" svg:x="2.1cm" svg:y="14.107cm" presentation:class="notes" presentation:placeholder="true">
					<draw:text-box/>
				</draw:frame>
				<draw:frame presentation:style-name="預設-notes" draw:layer="backgroundobjects" svg:width="16.799cm" svg:height="13.364cm" svg:x="2.1cm" svg:y="14.107cm" presentation:class="notes" presentation:placeholder="true">
					<draw:text-box/>
				</draw:frame>
				<draw:frame presentation:style-name="預設-notes" draw:layer="backgroundobjects" svg:width="16.799cm" svg:height="13.364cm" svg:x="2.1cm" svg:y="14.107cm" presentation:class="notes" presentation:placeholder="true">
					<draw:text-box/>
				</draw:frame>
				<draw:frame presentation:style-name="預設-notes" draw:layer="backgroundobjects" svg:width="16.799cm" svg:height="13.364cm" svg:x="2.1cm" svg:y="14.107cm" presentation:class="notes" presentation:placeholder="true">
					<draw:text-box/>
				</draw:frame>
				<draw:frame presentation:style-name="預設-notes" draw:layer="backgroundobjects" svg:width="16.799cm" svg:height="13.364cm" svg:x="2.1cm" svg:y="14.107cm" presentation:class="notes" presentation:placeholder="true">
					<draw:text-box/>
				</draw:frame>
				<draw:frame presentation:style-name="預設-notes" draw:layer="backgroundobjects" svg:width="16.799cm" svg:height="13.364cm" svg:x="2.1cm" svg:y="14.107cm" presentation:class="notes" presentation:placeholder="true">
					<draw:text-box/>
				</draw:frame>
```
Comment 27 V字龍(Vdragon) 2017-03-22 05:09:18 UTC
(In reply to V字龍(Vdragon) from comment #26)
> It seems that the presentation placeholders are duplicated as well,
> resulting additional, readonly textboxes
Fix wording: s/readonly/not-removable/
Comment 28 QA Administrators 2018-03-23 03:34:47 UTC Comment hidden (obsolete)
Comment 29 Michael Zingale 2018-03-23 15:25:24 UTC
I still have this issue with LO 5.4.5
Comment 30 Patrick Lhermie 2018-04-13 19:29:59 UTC
Just hit this bug too with LO Impress 6.0.2.1 
while it is ok in ODP format ... all footers fields from master slide are duplicated when saving in FODP format !
I guess not much people using fodp as this bug has almost 6 years,
thanks to look at it!
Comment 31 QA Administrators 2019-10-14 02:27:33 UTC Comment hidden (obsolete)
Comment 32 Dave Gilbert 2019-10-20 13:40:10 UTC
This is looking fixed for me in 6.3.2.2-1.fc31 (based on my doc in 10525)